Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class ListIndexesRequest.Builder

    java.lang.Object
      com.google.appengine.api.search.ListIndexesRequest.Builder

Enclosing class:
  ListIndexesRequest

    public static final class ListIndexesRequest.Builder

extends java.lang.Object

The builder of `ListIndexesRequest`s.

Method Summary
`ListIndexesRequest` | `build()`
`ListIndexesRequest.Builder` | `setIncludeStartIndex(boolean includeStartIndex)` Sets whether or not to include the index whose name is specified via the `setStartIndexName(String)` method.
`ListIndexesRequest.Builder` | `setIndexNamePrefix(java.lang.String indexNamePrefix)` Sets the prefix to be matched against the names of returned indexes.
`ListIndexesRequest.Builder` | `setLimit(java.lang.Integer limit)` Sets the maximum number of indexes to return.
`ListIndexesRequest.Builder` | `setNamespace(java.lang.String namespace)` Sets the namespace to use for this request.
`ListIndexesRequest.Builder` | `setOffset(java.lang.Integer offset)` Sets the offset of the first index to return.
`ListIndexesRequest.Builder` | `setSchemaFetched(boolean schemaFetched)` Sets whether or not the schema is returned with indexes.
`ListIndexesRequest.Builder` | `setStartIndexName(java.lang.String startIndexName)` Sets the name of the first index to return.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setOffset

    public ListIndexesRequest.Builder setOffset(java.lang.Integer offset)

  Sets the offset of the first index to return. This method comes with a performance penalty and if you just want to page through all indexes you should consider `setStartIndexName(String)` method.

  Parameters:
    `offset` - the offset of the first returned index
  Returns:
    this builder
  Throws:
    `java.lang.IllegalArgumentException` - if negative or too large offset is given

### setIndexNamePrefix

    public ListIndexesRequest.Builder setIndexNamePrefix(java.lang.String indexNamePrefix)

  Sets the prefix to be matched against the names of returned indexes. If the prefix is set to, say "a", only indexes with names starting with 'a' will be returned.

  Parameters:
    `indexNamePrefix` - the prefix used to select returned indexes
  Returns:
    this builder
  Throws:
    `java.lang.IllegalArgumentException` - if invalid index name is given

### setIncludeStartIndex

    public ListIndexesRequest.Builder setIncludeStartIndex(boolean includeStartIndex)

  Sets whether or not to include the index whose name is specified via the `setStartIndexName(String)` method.

  Parameters:
    `includeStartIndex` - whether or not to return the start index
  Returns:
    this builder

### setStartIndexName

    public ListIndexesRequest.Builder setStartIndexName(java.lang.String startIndexName)

  Sets the name of the first index to return. You may exclude this index by using the `setIncludeStartIndex(boolean)` method.

  Parameters:
    `startIndexName` - the name of the first index to be returned
  Returns:
    this builder
  Throws:
    `java.lang.IllegalArgumentException` - if invalid start index name is given

### setLimit

    public ListIndexesRequest.Builder setLimit(java.lang.Integer limit)

  Sets the maximum number of indexes to return.

  Parameters:
    `limit` - the number of indexes to return
  Returns:
    this builder
  Throws:
    `java.lang.IllegalArgumentException` - if negative or too large limit is given

### setSchemaFetched

    public ListIndexesRequest.Builder setSchemaFetched(boolean schemaFetched)

  Sets whether or not the schema is returned with indexes. An index schema is a map from field names to field types.

  Parameters:
    `schemaFetched` - whether or not schemas are present in returned indexes
  Returns:
    this builder

### setNamespace

    public ListIndexesRequest.Builder setNamespace(java.lang.String namespace)

  Sets the namespace to use for this request. Only indexes defined within this namespace will be listed.

  Parameters:
    `namespace` - The namespace for this request.
  Returns:
    this builder

### build

    public ListIndexesRequest build()

  Returns:
    builds and returns a brand new instance of a `ListIndexesRequest` using values set on this builder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD